# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-augeas
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define fedora 19
# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%if ! 0%{?fedora}%{?rhel} || 0%{?fedora} >= 9 || 0%{?rhel} >= 6
%bcond_without egg
%endif

Name:		python-module-augeas
Version:	0.4.1
Release:	alt1_3
Summary:	Python bindings to augeas
Group:		Development/Python
License:	LGPLv2+
URL:		http://augeas.net/
Source0:	http://augeas.net/download/python/%{oldname}-%{version}.tar.gz
Requires:	libaugeas
BuildArch:	noarch

BuildRequires:	python-module-setuptools python-devel
Source44: import.info

%description
python-augeas is a set of Python bindings around augeas.

%prep
%setup -n %{oldname}-%{version} -q


%build
# Remove CFLAGS=... for noarch packages (unneeded)
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build_ext -i
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc COPYING AUTHORS README.txt
%{python_sitelibdir_noarch}/augeas.py*
%if %{with egg}
%{python_sitelibdir_noarch}/*augeas*.egg-info
%endif

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_3
- update to new release by fcimport

* Mon Dec 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_2
- initial fc import

